Package org.gradle.tooling.model.java

## Interface JavaRuntime

-     public interface JavaRuntime

  Represents a Java virtual machine installation.
  Since:
    2.11

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `File` | `getJavaHome()` | The home directory of the Java runtime installation.
    `JavaVersion` | `getJavaVersion()` | The Java version of the Java runtime installation.

- - ### Method Detail

    - #### getJavaVersion

          JavaVersion getJavaVersion()

      The Java version of the Java runtime installation.
      Returns:
        The Java version. Never returns `null`.

    - #### getJavaHome

          File getJavaHome()

      The home directory of the Java runtime installation.
      Returns:
        The home directory. Never returns `null`.